Index: TXM/trunk/bundles/org.txm.cooccurrence.chartsengine/src/org/txm/cooccurrence/functions/CooccurrenceGraph.java
===================================================================
--- TXM/trunk/bundles/org.txm.cooccurrence.chartsengine/src/org/txm/cooccurrence/functions/CooccurrenceGraph.java	(revision 3868)
+++ TXM/trunk/bundles/org.txm.cooccurrence.chartsengine/src/org/txm/cooccurrence/functions/CooccurrenceGraph.java	(revision 3869)
@@ -27,7 +27,7 @@
 		// Since the command has no preferences, the default charts engine preferences are not loaded in TXMResult constructor, so the code above is needed to reload the parameters
 		// It also problematic for persistence to pass "org.txm.chartsengine.core" because it is saved as bundle ID and the deserialisation can not be done since "org.txm.chartsengine.core" does not
 		// found the class CooccurrenceGraph
-		this.commandPreferencesNodePath = "org.txm.chartsengine.core";
+		this.commandPreferencesNodePath = "org.txm.chartsengine.core"; //$NON-NLS-1$
 		try {
 			this.autoLoadParametersFromAnnotations();
 		}
@@ -47,7 +47,7 @@
 		// Since the command has no preferences, the default charts engine preferences are not loaded in TXMResult constructor, so the code above is needed to reload the parameters
 		// It also problematic for persistence to pass "org.txm.chartsengine.core" because it is saved as bundle ID and the deserialisation can not be done since "org.txm.chartsengine.core" does not
 		// found the class CooccurrenceGraph
-		this.commandPreferencesNodePath = "org.txm.chartsengine.core";
+		this.commandPreferencesNodePath = "org.txm.chartsengine.core"; //$NON-NLS-1$
 		try {
 			this.autoLoadParametersFromAnnotations();
 		}
@@ -86,7 +86,7 @@
 	@Override
 	public String getName() {
 		// TODO Auto-generated method stub
-		return "graph";
+		return "graph"; //$NON-NLS-1$
 	}
 	
 	/*
@@ -96,7 +96,7 @@
 	@Override
 	public String getSimpleName() {
 		// TODO Auto-generated method stub
-		return "graph";
+		return "graph"; //$NON-NLS-1$
 	}
 	
 	/*
@@ -106,7 +106,7 @@
 	@Override
 	public String getDetails() {
 		// TODO Auto-generated method stub
-		return "graph";
+		return "graph"; //$NON-NLS-1$
 	}
 	
 	/*
@@ -151,7 +151,7 @@
 	
 	@Override
 	public String getResultType() {
-		return "Cooccurrence graph";
+		return "Cooccurrence graph"; //$NON-NLS-1$
 	}
 	
 }
Index: TXM/trunk/bundles/org.txm.cooccurrence.chartsengine/src/org/txm/cooccurrence/chartsengine/CooccurrenceGSChartCreator.java
===================================================================
--- TXM/trunk/bundles/org.txm.cooccurrence.chartsengine/src/org/txm/cooccurrence/chartsengine/CooccurrenceGSChartCreator.java	(revision 3868)
+++ TXM/trunk/bundles/org.txm.cooccurrence.chartsengine/src/org/txm/cooccurrence/chartsengine/CooccurrenceGSChartCreator.java	(revision 3869)
@@ -148,71 +148,71 @@
 		
 		graph.clear();
 		
-		String styleSheet = "node {" +
-				"	fill-mode: dyn-plain;" +
-				"   fill-color: grey;" +
-				"	size-mode: dyn-size;" +
-				"	size: 5px;" +
+		String styleSheet = "node {" + //$NON-NLS-1$
+				"	fill-mode: dyn-plain;" + //$NON-NLS-1$
+				"   fill-color: grey;" + //$NON-NLS-1$
+				"	size-mode: dyn-size;" + //$NON-NLS-1$
+				"	size: 5px;" + //$NON-NLS-1$
 				// " size: 30px, 30px;" +
 				// " text-size: 12px;" +
 				// " shape: freeplane;" +
 				// // " size-mode: fit;" +
 				// " fill-mode: none;" +
 				// " stroke-mode: plain;" +
-				"}" +
-				"edge {" +
-				"   shape: cubic-curve;" +
+				"}" + //$NON-NLS-1$
+				"edge {" + //$NON-NLS-1$
+				"   shape: cubic-curve;" + //$NON-NLS-1$
 				
 				
 				
 				// " stroke-mode: plain;" +
 				
-				"}" +
+				"}" + //$NON-NLS-1$
 				/*
 				 * "node.marked {" +
 				 * "   fill-color: red;" +
 				 * "}" +
 				 */
 				
-				"node.titre {" +
-				"   size: 55px, 45px;" +
-				"   fill-color: blue;" +
-				"   text-color: red;" +
-				"   shape: diamond;" +
-				"}" +
+				"node.titre {" + //$NON-NLS-1$
+				"   size: 55px, 45px;" + //$NON-NLS-1$
+				"   fill-color: blue;" + //$NON-NLS-1$
+				"   text-color: red;" + //$NON-NLS-1$
+				"   shape: diamond;" + //$NON-NLS-1$
+				"}" + //$NON-NLS-1$
 				
-				"node.axe {" +
-				"   fill-color: blue;" +
-				"   text-color: blue;" +
-				"   shape: box;" +
-				"}" +
+				"node.axe {" + //$NON-NLS-1$
+				"   fill-color: blue;" + //$NON-NLS-1$
+				"   text-color: blue;" + //$NON-NLS-1$
+				"   shape: box;" + //$NON-NLS-1$
+				"}" + //$NON-NLS-1$
 				/*
 				 * "node.mot {" +
 				 * "   fill-color: green;" +
 				 * "   text-color: green;" +
 				 * "}" +
 				 */
-				"node.auteur {" +
-				"   fill-color: red;" +
-				"   text-color: gray;" +
-				"   shape: diamond;" +
-				"}";
+				"node.auteur {" + //$NON-NLS-1$
+				"   fill-color: red;" + //$NON-NLS-1$
+				"   text-color: gray;" + //$NON-NLS-1$
+				"   shape: diamond;" + //$NON-NLS-1$
+				"}"; //$NON-NLS-1$
 				
 				
-		graph.addAttribute("ui.stylesheet", styleSheet);
+		graph.addAttribute("ui.stylesheet", styleSheet); //$NON-NLS-1$
 		
 		int maxSize = 20;
 		
 		// add query node
 		Node rootNode = graph.addNode(cooccurrence.getQuery().getQueryString());
-		rootNode.addAttribute("ui.size", 5);
-		rootNode.addAttribute("ui.color", Color.RED);
+		rootNode.addAttribute("ui.size", 5); //$NON-NLS-1$
+		rootNode.addAttribute("ui.color", Color.RED); //$NON-NLS-1$
 		
 		// add cooccurrents nodes
 		for (int i = 0; i < cooccurrence.getLines().size(); i++) {
 			
 			Node n2 = graph.addNode(cooccurrence.getLines().get(i).occ);
-			n2.addAttribute("ui.size", cooccurrence.getLines().get(i).freq / 5);
+			n2.addAttribute("ui.size", cooccurrence.getLines().get(i).freq / 5); //$NON-NLS-1$
 			
 			graph.addEdge(String.valueOf(i), rootNode, n2);
 			
@@ -227,7 +227,7 @@
 		
 		// set text labels
 		for (Node n : graph) {
-			n.setAttribute("ui.label", n.getId());
+			n.setAttribute("ui.label", n.getId()); //$NON-NLS-1$
 		}
 		
 		
